Up

# NSFontPanel

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> System generic panel for selecting and previewing fonts

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSFontPanel class

## NSFontPanel : NSPanel

> Declared in:
>   AppKit/NSFontPanel.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +sharedFontPanel
- +sharedFontPanelExists
- -accessoryView
- -isEnabled
- -panelConvertFont:
- -reloadDefaultFontFamilies
- -setAccessoryView:
- -setEnabled:
- -setPanelFont:isMultiple:
- -worksWhenModal

### sharedFontPanel

+ (NSFontPanel*) sharedFontPanel;

Description forthcoming.

### sharedFontPanelExists

+ (BOOL) sharedFontPanelExists;

Description forthcoming.

### accessoryView

- (NSView*) accessoryView;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### panelConvertFont:

- (NSFont*) panelConvertFont: (NSFont*)fontObject;

Description forthcoming.

### reloadDefaultFontFamilies

- (void) reloadDefaultFontFamilies;

Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)flag;

Description forthcoming.

### setPanelFont:isMultiple:

- (void) setPanelFont: (NSFont*)fontObject isMultiple: (BOOL)flag;

Description forthcoming.

### worksWhenModal

- (BOOL) worksWhenModal;

Description forthcoming.

Up